#ifndef XRAWFILE_H
#define XRAWFILE_H

#include "xasset.h"
#include "xstring.h"

class XRawFile : public XAsset
{
public:
    XRawFile();
    ~XRawFile();

    void SetName(XString* aName = nullptr);
    void SetName(const QString& aName);
    XString* Name() const;

    void SetLength(int aLength);
    int Length() const;

    void SetBuffer(const QByteArray& aBuffer);
    QByteArray Buffer() const;

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    XString*   mName;
    quint32    mLength;
    QByteArray mBuffer;
};

#endif // XRAWFILE_H
